Cyberduck Mountain Duck CLI

#6813 closed defect (thirdparty)

Interoperability with graudata

Reported by: tuhl Owned by:
Priority: normal Milestone:
Component: webdav Version: 4.2.1
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

The GRAU DATA SPACE provides a standard WebDAV functionality based on milton.io. Downloads are working well. Uploads are generating an I/O error: The target server failed to respond.

Change History (7)

comment:1 Changed on Aug 17, 2012 at 6:59:30 PM by dkocher

  • Component changed from core to webdav
  • Resolution set to thirdparty
  • Status changed from new to closed

There is a connectivity issue to the server we are trying to upload. Check the Host header in the transcript and check the connection to this server over port 80 or 443 depending if you are connecting with SSL.

comment:2 Changed on Aug 17, 2012 at 7:16:24 PM by dkocher

Can you please post the transcript from the log drawer (⌘-L) of the Transfers window.

comment:3 Changed on Aug 19, 2012 at 10:04:25 PM by dkocher

I haven't looked into this in depth yet, but it looks like the server is closing the underlying socket connection although we send a Connection: Keep-Alive.

comment:4 Changed on Aug 19, 2012 at 10:05:27 PM by dkocher

Also the server does not seem to implement WebDAV fully:

MKCOL /test/ HTTP/1.1
Content-Length: 0
Host: dataspace.graudata.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.2 (Mac OS X/10.8) (i386)
Cookie: JSESSIONID=434D4F6C09483FBCB857FC46DC9037CD
Cookie2: $Version=1
HTTP/1.1 501 Not Implemented
Date: Sun, 19 Aug 2012 22:04:41 GMT
Server: Apache-Coyote/1.1
Content-Type: text/html;charset=utf-8
Via: 1.1 dataspace.graudata.com
Vary: Accept-Encoding
Content-Encoding: gzip
Content-Length: 449
Connection: close

comment:5 Changed on Aug 19, 2012 at 10:17:03 PM by dkocher

Uploading a file results in a permission error:

PUT /FFL_Prog12_t24_jul20-1844_LS_18_LR.pdf HTTP/1.1
Content-Length: 17744172
Content-Type: application/pdf
Host: dataspace.graudata.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.2 (Mac OS X/10.8) (i386)
Cookie: JSESSIONID=AD1BE75D4C4C15B3B9DF8DBB5E691618
Cookie2: $Version=1
HTTP/1.1 403 Forbidden
Date: Sun, 19 Aug 2012 22:13:49 GMT
Server: Apache-Coyote/1.1
Content-Type: text/html;charset=utf-8
Via: 1.1 dataspace.graudata.com
Vary: Accept-Encoding
Content-Encoding: gzip
Content-Length: 388
Keep-Alive: timeout=15, max=99
Connection: Keep-Alive

comment:6 Changed on Aug 19, 2012 at 10:17:38 PM by dkocher

The server is severally broken and must be fixed first before we can continue doing some interoperability testing.

comment:7 Changed on Aug 20, 2012 at 1:41:38 PM by dkocher

  • Summary changed from Upload to GRAU DATA SPACE fails to Interoperability with graudata
Note: See TracTickets for help on using tickets.
swiss made software